net.minecraft.src

## Class BaseMod

- java.lang.Object
- - net.minecraft.src.BaseMod

- All Implemented Interfaces:
    BaseModProxy

  Deprecated.

      @Deprecated
      public abstract class BaseMod
      extends Object
      implements BaseModProxy

  Bye bye ModLoader. Deprecated without direct replacement
  Author:
    cpw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMod()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addFuel(int id, int metadata)` Deprecated.
    `void` | `addRenderer(Map<Class<? extends Entity>,Render> renderers)` Deprecated.
    `void` | `clientChat(String text)` Deprecated.
    `void` | `clientConnect(NetClientHandler handler)` Deprecated.
    `void` | `clientCustomPayload(NetClientHandler handler, Packet250CustomPayload packet)` Deprecated.
    `void` | `clientDisconnect(NetClientHandler handler)` Deprecated.
    `boolean` | `doTickInGame(TickType tick, boolean tickEnd, Object... data)` Deprecated.
    `boolean` | `doTickInGUI(TickType tick, boolean tickEnd, Object... data)` Deprecated.
    `void` | `generateNether(World world, Random random, int chunkX, int chunkZ)` Deprecated.
    `void` | `generateSurface(World world, Random random, int chunkX, int chunkZ)` Deprecated.
    `GuiContainer` | `getContainerGUI(EntityClientPlayerMP player, int containerID, int x, int y, int z)` Deprecated.
    `String` | `getName()` Deprecated.
    `String` | `getPriorities()` Deprecated.
    `abstract String` | `getVersion()` Deprecated.
    `void` | `keyboardEvent(KeyBinding event)` Deprecated.
    `abstract void` | `load()` Deprecated.
    `void` | `modsLoaded()` Deprecated.
    `void` | `onClientLogin(EntityPlayer player)` Deprecated.
    `void` | `onClientLogout(INetworkManager mgr)` Deprecated.
    `void` | `onItemPickup(EntityPlayer player, ItemStack item)` Deprecated.
    `boolean` | `onTickInGame(float time, Minecraft minecraftInstance)` Deprecated.
    `boolean` | `onTickInGame(MinecraftServer minecraftServer)` Deprecated.
    `boolean` | `onTickInGUI(float tick, Minecraft game, GuiScreen gui)` Deprecated.
    `void` | `receiveCustomPacket(Packet250CustomPayload packet)` Deprecated.
    `void` | `registerAnimation(Minecraft game)` Deprecated.
    `void` | `renderInvBlock(RenderBlocks renderer, Block block, int metadata, int modelID)` Deprecated.
    `boolean` | `renderWorldBlock(RenderBlocks renderer, IBlockAccess world, int x, int y, int z, Block block, int modelID)` Deprecated.
    `void` | `serverChat(NetServerHandler source, String message)` Deprecated.
    `void` | `serverConnect(NetHandler handler)` Deprecated.
    `void` | `serverCustomPayload(NetServerHandler handler, Packet250CustomPayload packet)` Deprecated.
    `void` | `serverDisconnect()` Deprecated.
    `Entity` | `spawnEntity(int entityId, World world, double scaledX, double scaledY, double scaledZ)` Deprecated.
    `void` | `takenFromCrafting(EntityPlayer player, ItemStack item, IInventory matrix)` Deprecated.
    `void` | `takenFromFurnace(EntityPlayer player, ItemStack item)` Deprecated.
    `String` | `toString()` Deprecated. The identifier string for the mod- used in client<->server negotiation

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseMod

          public BaseMod()

      Deprecated.

  - ### Method Detail

    - #### doTickInGame

          @Deprecated
          public final boolean doTickInGame(TickType tick,
                                        boolean tickEnd,
                                        Object... data)

      Deprecated.
      Specified by:
        `doTickInGame` in interface `BaseModProxy`

    - #### doTickInGUI

          @Deprecated
          public final boolean doTickInGUI(TickType tick,
                                       boolean tickEnd,
                                       Object... data)

      Deprecated.
      Specified by:
        `doTickInGUI` in interface `BaseModProxy`

    - #### addFuel

          @Deprecated
          public int addFuel(int id,
                               int metadata)

      Deprecated.
      Override if you wish to provide a fuel item for the furnace and return the fuel value of the item
      Specified by:
        `addFuel` in interface `BaseModProxy`
      Parameters:
        `id` -
        `metadata` -

    - #### addRenderer

          @Deprecated
          public void addRenderer(Map<Class<? extends Entity>,Render> renderers)

      Deprecated.

    - #### generateNether

          @Deprecated
          public void generateNether(World world,
                                       Random random,
                                       int chunkX,
                                       int chunkZ)

      Deprecated.
      Override if you wish to generate Nether (Hell biome) blocks
      Specified by:
        `generateNether` in interface `BaseModProxy`
      Parameters:
        `world` -
        `random` -
        `chunkX` -
        `chunkZ` -

    - #### generateSurface

          @Deprecated
          public void generateSurface(World world,
                                        Random random,
                                        int chunkX,
                                        int chunkZ)

      Deprecated.
      Override if you wish to generate Overworld (not hell or the end) blocks
      Specified by:
        `generateSurface` in interface `BaseModProxy`
      Parameters:
        `world` -
        `random` -
        `chunkX` -
        `chunkZ` -

    - #### getContainerGUI

          @Deprecated
          public GuiContainer getContainerGUI(EntityClientPlayerMP player,
                                                int containerID,
                                                int x,
                                                int y,
                                                int z)

      Deprecated.
      Callback to return a gui screen to display
      Parameters:
        `player` -
        `containerID` -
        `x` -
        `y` -
        `z` -

    - #### getName

          @Deprecated
          public String getName()

      Deprecated.
      Return the name of your mod. Defaults to the class name
      Specified by:
        `getName` in interface `BaseModProxy`

    - #### getPriorities

          @Deprecated
          public String getPriorities()

      Deprecated.
      Get your mod priorities
      Specified by:
        `getPriorities` in interface `BaseModProxy`

    - #### getVersion

          @Deprecated
          public abstract String getVersion()

      Deprecated.
      Return the version of your mod
      Specified by:
        `getVersion` in interface `BaseModProxy`

    - #### keyboardEvent

          @Deprecated
          public void keyboardEvent(KeyBinding event)

      Deprecated.

    - #### load

          @Deprecated
          public abstract void load()

      Deprecated.
      Load your mod
      Specified by:
        `load` in interface `BaseModProxy`

    - #### modsLoaded

          @Deprecated
          public void modsLoaded()

      Deprecated.
      Finish loading your mod
      Specified by:
        `modsLoaded` in interface `BaseModProxy`

    - #### onItemPickup

          @Deprecated
          public void onItemPickup(EntityPlayer player,
                                     ItemStack item)

      Deprecated.
      Handle item pickup
      Specified by:
        `onItemPickup` in interface `BaseModProxy`
      Parameters:
        `player` -
        `item` -

    - #### onTickInGame

          @Deprecated
          public boolean onTickInGame(float time,
                                        Minecraft minecraftInstance)

      Deprecated.
      Ticked every game tick if you have subscribed to tick events through `ModLoader.setInGameHook(BaseMod, boolean, boolean)`
      Parameters:
        `time` - the rendering subtick time (0.0-1.0)
        `minecraftInstance` - the client
      Returns:
        true to continue receiving ticks

    - #### onTickInGame

          @Deprecated
          public boolean onTickInGame(MinecraftServer minecraftServer)

      Deprecated.

    - #### onTickInGUI

          @Deprecated
          public boolean onTickInGUI(float tick,
                                       Minecraft game,
                                       GuiScreen gui)

      Deprecated.

    - #### clientChat

          @Deprecated
          public void clientChat(String text)

      Deprecated.
      Only implemented on the client side `serverChat(NetServerHandler, String)`
      Specified by:
        `clientChat` in interface `BaseModProxy`
      Parameters:
        `text` -

    - #### clientConnect

          @Deprecated
          public void clientConnect(NetClientHandler handler)

      Deprecated.
      Called when a client connects
      Parameters:
        `handler` -

    - #### clientDisconnect

          @Deprecated
          public void clientDisconnect(NetClientHandler handler)

      Deprecated.
      Called when the client disconnects
      Parameters:
        `handler` -

    - #### receiveCustomPacket

          @Deprecated
          public void receiveCustomPacket(Packet250CustomPayload packet)

      Deprecated.
      Called client side to receive a custom payload for this mod NOTE: this method is not provided in Risugami's implementation of BaseMod!
      Specified by:
        `receiveCustomPacket` in interface `BaseModProxy`
      Parameters:
        `packet` -

    - #### registerAnimation

          @Deprecated
          public void registerAnimation(Minecraft game)

      Deprecated.

    - #### renderInvBlock

          @Deprecated
          public void renderInvBlock(RenderBlocks renderer,
                                       Block block,
                                       int metadata,
                                       int modelID)

      Deprecated.

    - #### renderWorldBlock

          @Deprecated
          public boolean renderWorldBlock(RenderBlocks renderer,
                                            IBlockAccess world,
                                            int x,
                                            int y,
                                            int z,
                                            Block block,
                                            int modelID)

      Deprecated.

    - #### serverConnect

          @Deprecated
          public void serverConnect(NetHandler handler)

      Deprecated.
      Specified by:
        `serverConnect` in interface `BaseModProxy`

    - #### serverCustomPayload

          @Deprecated
          public void serverCustomPayload(NetServerHandler handler,
                                            Packet250CustomPayload packet)

      Deprecated.
      Specified by:
        `serverCustomPayload` in interface `BaseModProxy`

    - #### serverDisconnect

          @Deprecated
          public void serverDisconnect()

      Deprecated.
      Specified by:
        `serverDisconnect` in interface `BaseModProxy`

    - #### takenFromCrafting

          @Deprecated
          public void takenFromCrafting(EntityPlayer player,
                                          ItemStack item,
                                          IInventory matrix)

      Deprecated.
      Called when someone crafts an item from a crafting table
      Specified by:
        `takenFromCrafting` in interface `BaseModProxy`
      Parameters:
        `player` -
        `item` -
        `matrix` -

    - #### takenFromFurnace

          @Deprecated
          public void takenFromFurnace(EntityPlayer player,
                                         ItemStack item)

      Deprecated.
      Called when someone takes a smelted item from a furnace
      Specified by:
        `takenFromFurnace` in interface `BaseModProxy`
      Parameters:
        `player` -
        `item` -

    - #### toString

          public String toString()

      Deprecated.
      The identifier string for the mod- used in client<->server negotiation
      Overrides:
        `toString` in class `Object`

    - #### serverChat

          @Deprecated
          public void serverChat(NetServerHandler source,
                                   String message)

      Deprecated.
      Called when a chat message is received. Return true to stop further processing
      Specified by:
        `serverChat` in interface `BaseModProxy`

    - #### onClientLogin

          @Deprecated
          public void onClientLogin(EntityPlayer player)

      Deprecated.
      Called when a new client logs in. NOTE: this method is not provided in Risugami's implementation of BaseMod!
      Specified by:
        `onClientLogin` in interface `BaseModProxy`
      Parameters:
        `player` -

    - #### onClientLogout

          @Deprecated
          public void onClientLogout(INetworkManager mgr)

      Deprecated.
      Called when a client logs out of the server. NOTE: this method is not provided in Risugami's implementation of BaseMod!
      Specified by:
        `onClientLogout` in interface `BaseModProxy`

    - #### spawnEntity

          @Deprecated
          public Entity spawnEntity(int entityId,
                                      World world,
                                      double scaledX,
                                      double scaledY,
                                      double scaledZ)

      Deprecated.
      Spawn the entity of the supplied type, if it is your mod's

    - #### clientCustomPayload

          @Deprecated
          public void clientCustomPayload(NetClientHandler handler,
                                            Packet250CustomPayload packet)

      Deprecated.